# $Revision: 1.20 $, $Date: 2010/08/19 12:19:20 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	IDNA
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - punycode encoding and decoding
Summary(pl.UTF-8):	%{_pearname} - kodowanie i dekodowanie punycode
Name:		php-pear-%{_pearname}
Version:	0.8.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e436adb07e62375da7891e592a11a037
URL:		http://pear.php.net/package/Net_IDNA/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package helps you to encode and decode punycode strings easily.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa ułatwia kodowanie i dekodowanie ciągów znaków Unicode w
punycode.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_IDNA.spec,v $
Revision 1.20  2010/08/19 12:19:20  glen
- up to 0.8.1

Revision 1.19  2008/05/03 09:10:35  adamg
- updated to 0.7.2

Revision 1.18  2008-01-31 12:16:49  glen
- rel 3

Revision 1.17  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.15  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.14  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.13  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.12  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.11  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.10  2005/10/05 20:59:19  glen
- rel 2

Revision 1.9  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.8  2005/09/28 23:35:59  glen
- new pear packaging

Revision 1.7  2005/08/21 18:06:53  adamg
- updated to 0.7.1

Revision 1.6  2005/08/04 07:36:53  adamg
- updated to 0.6.0

Revision 1.5  2005/02/05 19:33:07  adamg
- updated to 0.5.0

Revision 1.4  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.3  2004/11/14 13:49:20  adamg
- updated to 0.4.0

Revision 1.2  2004/08/21 23:59:31  qboosh
- cosmetics

Revision 1.1  2004/08/21 17:48:56  adamg
- new
